#!/usr/bin/python3


class Settings:
    def __init__(self, app):
        self.app = app

        self.settings = self.app.gui.window.settings

        self.connect()

    def connect(self):
        self.settings.visibilityChanged.connect(self.update_all)
        self.settings.save_button.pressed.connect(self.write_settings)

    def update_all(self, _=True):  # ignore visible parameter passed by visibilityChanged event
        self.settings.file_settings.library_path_input.setText(self.app.settings.library_path)

    def update_settings(self, key, value):
        match key:
            case "library_path":
                self.settings.file_settings.library_path_input.setText(value)

    def write_settings(self):
        self.app.settings.library_path = self.settings.file_settings.library_path_input.text()

