#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QMainWindow, QMenu
from .track_control import TrackControl
from .settings.settings import Settings


class MainWindow(QMainWindow):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setWindowTitle("WoBuzz")

        self.menu_bar = self.menuBar()

        self.file_menu = QMenu("&File", self.menu_bar)
        self.menu_bar.addMenu(self.file_menu)

        self.edit_menu = QMenu("&Edit", self.menu_bar)
        self.menu_bar.addMenu(self.edit_menu)

        self.settings_action = self.edit_menu.addAction("&Settings")

        self.track_control = TrackControl()
        self.addToolBar(self.track_control)

        self.settings = Settings()
        self.settings.hide()
        self.addDockWidget(Qt.DockWidgetArea.LeftDockWidgetArea, self.settings)

