#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtGui import QIcon
from PyQt6.QtWidgets import QToolBar, QLabel
from .track_progress_slider import TrackProgressSlider


class TrackControl(QToolBar):
    def __init__(self, parent=None):
        super().__init__(parent)

        icon = QIcon.fromTheme(QIcon.ThemeIcon.MediaSkipBackward)
        self.previous_button = self.addAction(icon, "Previous")

        icon = QIcon.fromTheme(QIcon.ThemeIcon.MediaPlaybackStart)
        self.toggle_play_button = self.addAction(icon, "Play/Pause")

        icon = QIcon.fromTheme(QIcon.ThemeIcon.MediaPlaybackStop)
        self.stop_button = self.addAction(icon, "Stop")

        icon = QIcon.fromTheme(QIcon.ThemeIcon.MediaSkipForward)
        self.next_button = self.addAction(icon, "Next")

        self.progress_indicator = QLabel("0:00")
        self.addWidget(self.progress_indicator)

        self.track_progress_slider = TrackProgressSlider(Qt.Orientation.Horizontal, self)
        self.addWidget(self.track_progress_slider)

        self.track_length_indicator = QLabel("0:00")
        self.addWidget(self.track_length_indicator)

